<html>
<head>
<title>Ogre::AnimationTrack::Listener Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1AnimationTrack_1_1Listener.html">Listener</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::AnimationTrack::Listener Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::AnimationTrack::Listener" -->
<p><a class="el" href="classOgre_1_1AnimationTrack_1_1Listener.html" title="Listener allowing you to override certain behaviour of a track, for example to drive animation proced...">Listener</a> allowing you to override certain behaviour of a track, for example to drive animation procedurally.  
 <a href="classOgre_1_1AnimationTrack_1_1Listener.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>&gt;</code></p>

<p><a href="classOgre_1_1AnimationTrack_1_1Listener-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack_1_1Listener.html#a9a91170a7c4f2cf343ccf402ba83127f">~Listener</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AnimationTrack_1_1Listener.html#a6ba44b11c4a71b0324b2f7c5831ae312">getInterpolatedKeyFrame</a> (const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *t, const <a class="el" href="classOgre_1_1TimeIndex.html">TimeIndex</a> &amp;timeIndex, <a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> *kf)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get an interpolated keyframe for this track at the given time.  <a href="#a6ba44b11c4a71b0324b2f7c5831ae312"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classOgre_1_1AnimationTrack_1_1Listener.html" title="Listener allowing you to override certain behaviour of a track, for example to drive animation proced...">Listener</a> allowing you to override certain behaviour of a track, for example to drive animation procedurally. </p>

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00128">128</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a9a91170a7c4f2cf343ccf402ba83127f"></a><!-- doxytag: member="Ogre::AnimationTrack::Listener::~Listener" ref="a9a91170a7c4f2cf343ccf402ba83127f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1AnimationTrack_1_1Listener.html#a9a91170a7c4f2cf343ccf402ba83127f">Ogre::AnimationTrack::Listener::~Listener</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreAnimationTrack_8h_source.html#l00131">131</a> of file <a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a6ba44b11c4a71b0324b2f7c5831ae312"></a><!-- doxytag: member="Ogre::AnimationTrack::Listener::getInterpolatedKeyFrame" ref="a6ba44b11c4a71b0324b2f7c5831ae312" args="(const AnimationTrack *t, const TimeIndex &amp;timeIndex, KeyFrame *kf)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual bool <a class="el" href="classOgre_1_1AnimationTrack_1_1Listener.html#a6ba44b11c4a71b0324b2f7c5831ae312">Ogre::AnimationTrack::Listener::getInterpolatedKeyFrame</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1AnimationTrack.html">AnimationTrack</a> *&#160;</td>
          <td class="paramname"><em>t</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1TimeIndex.html">TimeIndex</a> &amp;&#160;</td>
          <td class="paramname"><em>timeIndex</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1KeyFrame.html">KeyFrame</a> *&#160;</td>
          <td class="paramname"><em>kf</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get an interpolated keyframe for this track at the given time. </p>
<dl class="return"><dt><b>Returns:</b></dt><dd>true if the <a class="el" href="classOgre_1_1KeyFrame.html" title="A key frame in an animation sequence defined by an AnimationTrack.">KeyFrame</a> was populated, false if not. </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreAnimationTrack_8h_source.html">OgreAnimationTrack.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
